Index: trunk/NEMO/LIM_SRC_3/limupdate.F90
===================================================================
--- trunk/NEMO/LIM_SRC_3/limupdate.F90	(revision 873)
+++ trunk/NEMO/LIM_SRC_3/limupdate.F90	(revision 888)
@@ -25,17 +25,16 @@
    USE in_out_manager
    USE ice_oce         ! ice variables
-   USE flx_oce         ! forcings variables
+   USE sbc_oce         ! Surface boundary condition: ocean fields
+   USE sbc_ice         ! Surface boundary condition: ice fields
    USE dom_ice
    USE daymod
    USE phycst          ! Define parameters for the routines
-   USE taumod
    USE ice
    USE iceini
-   USE ocesbc
    USE lbclnk
    USE limdyn
    USE limtrp
    USE limthd
-   USE limflx
+   USE limsbc
    USE limdia
    USE limwri
@@ -126,11 +125,11 @@
 !+++++ [
         WRITE(numout,*) ' O) Initial values '
-        WRITE(numout,*) ' a_i : ', a_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' at_i: ', at_i(jiindex,jjindex)
-        WRITE(numout,*) ' v_i : ', v_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' v_s : ', v_s(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' smv_i: ', smv_i(jiindex, jjindex, 1:jpl)
-        DO jk = 1, nlay_i
-        WRITE(numout,*) ' e_i : ', e_i(jiindex, jjindex, jk, 1:jpl)
+        WRITE(numout,*) ' a_i : ', a_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' at_i: ', at_i(jiindx,jjindx)
+        WRITE(numout,*) ' v_i : ', v_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' v_s : ', v_s(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' smv_i: ', smv_i(jiindx, jjindx, 1:jpl)
+        DO jk = 1, nlay_i
+        WRITE(numout,*) ' e_i : ', e_i(jiindx, jjindx, jk, 1:jpl)
         END DO
 !+++++ ]
@@ -238,5 +237,5 @@
 
               !residual salt flux if ice is over-molten
-              fsalt_res(ji,jj)  = fsalt_res(ji,jj) + ( sss_io(ji,jj) - sm_i(ji,jj,jl) ) * & 
+              fsalt_res(ji,jj)  = fsalt_res(ji,jj) + ( sss_m(ji,jj) - sm_i(ji,jj,jl) ) * & 
                              ( rhoic * zdvres / rdt_ice )
 !             fheat_res(ji,jj)  = fheat_res(ji,jj) + rhoic * lfus * zdvres / rdt_ice
@@ -254,5 +253,5 @@
 
               !residual salt flux if snow is over-molten
-              fsalt_res(ji,jj)  = fsalt_res(ji,jj) + sss_io(ji,jj) * & 
+              fsalt_res(ji,jj)  = fsalt_res(ji,jj) + sss_m(ji,jj) * & 
                              ( rhosn * zdvres / rdt_ice )
                              !this flux will be positive if snow was over-molten
@@ -276,11 +275,11 @@
 
      WRITE(numout,*) ' 1. Before update of Global variables '
-     WRITE(numout,*) ' a_i : ', a_i(jiindex, jjindex, 1:jpl)
-     WRITE(numout,*) ' at_i: ', at_i(jiindex,jjindex)
-     WRITE(numout,*) ' v_i : ', v_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' v_s : ', v_s(jiindex, jjindex, 1:jpl)
-     WRITE(numout,*) ' smv_i: ', smv_i(jiindex, jjindex, 1:jpl)
-        DO jk = 1, nlay_i
-        WRITE(numout,*) ' e_i : ', e_i(jiindex, jjindex, jk, 1:jpl)
+     WRITE(numout,*) ' a_i : ', a_i(jiindx, jjindx, 1:jpl)
+     WRITE(numout,*) ' at_i: ', at_i(jiindx,jjindx)
+     WRITE(numout,*) ' v_i : ', v_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' v_s : ', v_s(jiindx, jjindx, 1:jpl)
+     WRITE(numout,*) ' smv_i: ', smv_i(jiindx, jjindx, 1:jpl)
+        DO jk = 1, nlay_i
+        WRITE(numout,*) ' e_i : ', e_i(jiindx, jjindx, jk, 1:jpl)
         END DO
 !+++++ ]
@@ -294,5 +293,5 @@
      CALL lim_var_glo2eqv ! useless, just for debug
         DO jk = 1, nlay_i
-        WRITE(numout,*) ' t_i : ', t_i(jiindex, jjindex, jk, 1:jpl)
+        WRITE(numout,*) ' t_i : ', t_i(jiindx, jjindx, jk, 1:jpl)
         END DO
      e_i(:,:,:,:) = e_i(:,:,:,:) + d_e_i_trp(:,:,:,:)  
@@ -300,5 +299,5 @@
         WRITE(numout,*) ' After transport update '
         DO jk = 1, nlay_i
-        WRITE(numout,*) ' t_i : ', t_i(jiindex, jjindex, jk, 1:jpl)
+        WRITE(numout,*) ' t_i : ', t_i(jiindx, jjindx, jk, 1:jpl)
         END DO
      e_i(:,:,:,:) = e_i(:,:,:,:) + d_e_i_thd(:,:,:,:)  
@@ -306,5 +305,5 @@
         WRITE(numout,*) ' After thermodyn update '
         DO jk = 1, nlay_i
-        WRITE(numout,*) ' t_i : ', t_i(jiindex, jjindex, jk, 1:jpl)
+        WRITE(numout,*) ' t_i : ', t_i(jiindx, jjindx, jk, 1:jpl)
         END DO
 
@@ -316,13 +315,13 @@
 !+++++ [
      WRITE(numout,*) ' 1. After update of Global variables (2) '
-     WRITE(numout,*) ' a_i : ', a_i(jiindex, jjindex, 1:jpl)
-     WRITE(numout,*) ' at_i: ', at_i(jiindex,jjindex)
-     WRITE(numout,*) ' v_i : ', v_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' v_s : ', v_s(jiindex, jjindex, 1:jpl)
-     WRITE(numout,*) ' smv_i: ', smv_i(jiindex, jjindex, 1:jpl)
-     WRITE(numout,*) ' oa_i : ', oa_i(jiindex, jjindex, 1:jpl)
-     WRITE(numout,*) ' e_s : ', e_s(jiindex, jjindex, 1, 1:jpl)
-        DO jk = 1, nlay_i
-        WRITE(numout,*) ' e_i : ', e_i(jiindex, jjindex, jk, 1:jpl)
+     WRITE(numout,*) ' a_i : ', a_i(jiindx, jjindx, 1:jpl)
+     WRITE(numout,*) ' at_i: ', at_i(jiindx,jjindx)
+     WRITE(numout,*) ' v_i : ', v_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' v_s : ', v_s(jiindx, jjindx, 1:jpl)
+     WRITE(numout,*) ' smv_i: ', smv_i(jiindx, jjindx, 1:jpl)
+     WRITE(numout,*) ' oa_i : ', oa_i(jiindx, jjindx, 1:jpl)
+     WRITE(numout,*) ' e_s : ', e_s(jiindx, jjindx, 1, 1:jpl)
+        DO jk = 1, nlay_i
+        WRITE(numout,*) ' e_i : ', e_i(jiindx, jjindx, jk, 1:jpl)
         END DO
 !+++++ ]
@@ -348,10 +347,10 @@
 !+++++
      WRITE(numout,*) ' Before everything '
-     WRITE(numout,*) ' smv_i: ', smv_i(jiindex, jjindex, 1:jpl)
-     WRITE(numout,*) ' oa_i:  ', oa_i(jiindex, jjindex, 1:jpl)
-        DO jk = 1, nlay_i
-        WRITE(numout,*) ' e_i : ', e_i(jiindex, jjindex, jk, 1:jpl)
-        END DO
-        WRITE(numout,*) ' v_s : ', v_s(jiindex, jjindex, 1:jpl)
+     WRITE(numout,*) ' smv_i: ', smv_i(jiindx, jjindx, 1:jpl)
+     WRITE(numout,*) ' oa_i:  ', oa_i(jiindx, jjindx, 1:jpl)
+        DO jk = 1, nlay_i
+        WRITE(numout,*) ' e_i : ', e_i(jiindx, jjindx, jk, 1:jpl)
+        END DO
+        WRITE(numout,*) ' v_s : ', v_s(jiindx, jjindx, 1:jpl)
 !+++++
 
@@ -362,6 +361,6 @@
 !+++++
      WRITE(numout,*) ' After advection   '
-     WRITE(numout,*) ' smv_i: ', smv_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' v_s : ', v_s(jiindex, jjindex, 1:jpl)
+     WRITE(numout,*) ' smv_i: ', smv_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' v_s : ', v_s(jiindx, jjindx, 1:jpl)
 !+++++
 
@@ -401,11 +400,11 @@
 !+++++ [
         WRITE(numout,*) ' 2.1 '
-        WRITE(numout,*) ' a_i : ', a_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' at_i: ', at_i(jiindex,jjindex)
-        WRITE(numout,*) ' v_i : ', v_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' v_s : ', v_s(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' smv_i: ', smv_i(jiindex, jjindex, 1:jpl)
-        DO jk = 1, nlay_i
-        WRITE(numout,*) ' e_i : ', e_i(jiindex, jjindex, jk, 1:jpl)
+        WRITE(numout,*) ' a_i : ', a_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' at_i: ', at_i(jiindx,jjindx)
+        WRITE(numout,*) ' v_i : ', v_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' v_s : ', v_s(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' smv_i: ', smv_i(jiindx, jjindx, 1:jpl)
+        DO jk = 1, nlay_i
+        WRITE(numout,*) ' e_i : ', e_i(jiindx, jjindx, jk, 1:jpl)
         END DO
 !+++++ ]
@@ -444,11 +443,11 @@
 !+++++ [
         WRITE(numout,*) ' 2.1 initial '
-        WRITE(numout,*) ' a_i : ', a_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' at_i: ', at_i(jiindex,jjindex)
-        WRITE(numout,*) ' v_i : ', v_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' v_s : ', v_s(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' smv_i: ', smv_i(jiindex, jjindex, 1:jpl)
-        DO jk = 1, nlay_i
-        WRITE(numout,*) ' e_i : ', e_i(jiindex, jjindex, jk, 1:jpl)
+        WRITE(numout,*) ' a_i : ', a_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' at_i: ', at_i(jiindx,jjindx)
+        WRITE(numout,*) ' v_i : ', v_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' v_s : ', v_s(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' smv_i: ', smv_i(jiindx, jjindx, 1:jpl)
+        DO jk = 1, nlay_i
+        WRITE(numout,*) ' e_i : ', e_i(jiindx, jjindx, jk, 1:jpl)
         END DO
 !+++++ ]
@@ -464,12 +463,12 @@
 !+++++ [
         WRITE(numout,*) ' 2.1 before rebinning '
-        WRITE(numout,*) ' a_i : ', a_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' at_i: ', at_i(jiindex,jjindex)
-        WRITE(numout,*) ' v_i : ', v_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' smv_i: ', smv_i(jiindex, jjindex, 1:jpl)
-        DO jk = 1, nlay_i
-        WRITE(numout,*) ' e_i : ', e_i(jiindex, jjindex, jk, 1:jpl)
-        END DO
-        WRITE(numout,*) ' v_s : ', v_s(jiindex, jjindex, 1:jpl)
+        WRITE(numout,*) ' a_i : ', a_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' at_i: ', at_i(jiindx,jjindx)
+        WRITE(numout,*) ' v_i : ', v_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' smv_i: ', smv_i(jiindx, jjindx, 1:jpl)
+        DO jk = 1, nlay_i
+        WRITE(numout,*) ' e_i : ', e_i(jiindx, jjindx, jk, 1:jpl)
+        END DO
+        WRITE(numout,*) ' v_s : ', v_s(jiindx, jjindx, 1:jpl)
 !+++++ ]
 
@@ -483,13 +482,13 @@
 !+++++ [
         WRITE(numout,*) ' 2.1 after rebinning'
-        WRITE(numout,*) ' a_i : ', a_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' at_i: ', at_i(jiindex,jjindex)
-        WRITE(numout,*) ' v_i : ', v_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' smv_i: ', smv_i(jiindex, jjindex, 1:jpl)
-        DO jk = 1, nlay_i
-        WRITE(numout,*) ' e_i : ', e_i(jiindex, jjindex, jk, 1:jpl)
-        WRITE(numout,*) ' t_i : ', t_i(jiindex, jjindex, jk, 1:jpl)
-        END DO
-        WRITE(numout,*) ' v_s : ', v_s(jiindex, jjindex, 1:jpl)
+        WRITE(numout,*) ' a_i : ', a_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' at_i: ', at_i(jiindx,jjindx)
+        WRITE(numout,*) ' v_i : ', v_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' smv_i: ', smv_i(jiindx, jjindx, 1:jpl)
+        DO jk = 1, nlay_i
+        WRITE(numout,*) ' e_i : ', e_i(jiindx, jjindx, jk, 1:jpl)
+        WRITE(numout,*) ' t_i : ', t_i(jiindx, jjindx, jk, 1:jpl)
+        END DO
+        WRITE(numout,*) ' v_s : ', v_s(jiindx, jjindx, 1:jpl)
 !+++++ ]
 
@@ -611,13 +610,13 @@
 !+++++ [
         WRITE(numout,*) ' 2.3 after melt of an internal ice layer '
-        WRITE(numout,*) ' a_i : ', a_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' at_i: ', at_i(jiindex,jjindex)
-        WRITE(numout,*) ' v_i : ', v_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' smv_i: ', smv_i(jiindex, jjindex, 1:jpl)
-        DO jk = 1, nlay_i
-        WRITE(numout,*) ' e_i : ', e_i(jiindex, jjindex, jk, 1:jpl)
-        WRITE(numout,*) ' t_i : ', t_i(jiindex, jjindex, jk, 1:jpl)
-        END DO
-        WRITE(numout,*) ' v_s : ', v_s(jiindex, jjindex, 1:jpl)
+        WRITE(numout,*) ' a_i : ', a_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' at_i: ', at_i(jiindx,jjindx)
+        WRITE(numout,*) ' v_i : ', v_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' smv_i: ', smv_i(jiindx, jjindx, 1:jpl)
+        DO jk = 1, nlay_i
+        WRITE(numout,*) ' e_i : ', e_i(jiindx, jjindx, jk, 1:jpl)
+        WRITE(numout,*) ' t_i : ', t_i(jiindx, jjindx, jk, 1:jpl)
+        END DO
+        WRITE(numout,*) ' v_s : ', v_s(jiindx, jjindx, 1:jpl)
 !+++++ ]
 
@@ -638,5 +637,5 @@
 
               !++++++
-              IF ( (ji.eq.jiindex) .AND. (jj.eq.jjindex) ) THEN
+              IF ( (ji.eq.jiindx) .AND. (jj.eq.jjindx) ) THEN
                  WRITE(numout,*) ' jl    : ', jl
                  WRITE(numout,*) ' ze_s  : ', ze_s
@@ -737,12 +736,12 @@
 !+++++ [
         WRITE(numout,*) ' 2.8 '
-        WRITE(numout,*) ' a_i : ', a_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' at_i: ', at_i(jiindex,jjindex)
-        WRITE(numout,*) ' v_i : ', v_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' smv_i: ', smv_i(jiindex, jjindex, 1:jpl)
-        DO jk = 1, nlay_i
-        WRITE(numout,*) ' e_i : ', e_i(jiindex, jjindex, jk, 1:jpl)
-        END DO
-        WRITE(numout,*) ' v_s : ', v_s(jiindex, jjindex, 1:jpl)
+        WRITE(numout,*) ' a_i : ', a_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' at_i: ', at_i(jiindx,jjindx)
+        WRITE(numout,*) ' v_i : ', v_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' smv_i: ', smv_i(jiindx, jjindx, 1:jpl)
+        DO jk = 1, nlay_i
+        WRITE(numout,*) ' e_i : ', e_i(jiindx, jjindx, jk, 1:jpl)
+        END DO
+        WRITE(numout,*) ' v_s : ', v_s(jiindx, jjindx, 1:jpl)
 !+++++ ]
 
@@ -767,9 +766,9 @@
      WRITE(numout,*) ' 2.9 '
      DO jk = 1, nlay_i
-        WRITE(numout,*) ' e_i : ', e_i(jiindex, jjindex, jk, 1:jpl)
-     END DO
-        WRITE(numout,*) ' v_s : ', v_s(jiindex, jjindex, 1:jpl)
-
-        WRITE(numout,*) ' v_s : ', v_s(jiindex, jjindex, 1:jpl)
+        WRITE(numout,*) ' e_i : ', e_i(jiindx, jjindx, jk, 1:jpl)
+     END DO
+        WRITE(numout,*) ' v_s : ', v_s(jiindx, jjindx, 1:jpl)
+
+        WRITE(numout,*) ' v_s : ', v_s(jiindx, jjindx, 1:jpl)
 
      !---------------------
@@ -784,5 +783,5 @@
               DO ji = 1, jpi
                  ! salinity stays in bounds
-                 smv_i(ji,jj,jl)  =  MAX(MIN((rhoic-rhosn)/rhoic*sss_io(ji,jj),smv_i(ji,jj,jl)), &
+                 smv_i(ji,jj,jl)  =  MAX(MIN((rhoic-rhosn)/rhoic*sss_m(ji,jj),smv_i(ji,jj,jl)), &
                   0.1 * v_i(ji,jj,jl) )
                  i_ice_switch    =  1.0-MAX(0.0,SIGN(1.0,-v_i(ji,jj,jl)))
@@ -798,9 +797,9 @@
 !+++++ [
         WRITE(numout,*) ' 2.11 '
-        WRITE(numout,*) ' a_i : ', a_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' v_i : ', v_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' v_s : ', v_s(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' at_i    ', at_i(jiindex,jjindex)
-        WRITE(numout,*) ' smv_i: ', smv_i(jiindex, jjindex, 1:jpl)
+        WRITE(numout,*) ' a_i : ', a_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' v_i : ', v_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' v_s : ', v_s(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' at_i    ', at_i(jiindx,jjindx)
+        WRITE(numout,*) ' smv_i: ', smv_i(jiindx, jjindx, 1:jpl)
 !+++++ ]
 
@@ -826,9 +825,9 @@
 !+++++ [
         WRITE(numout,*) ' 2.12 '
-        WRITE(numout,*) ' a_i : ', a_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' v_i : ', v_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' v_s : ', v_s(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' at_i    ', at_i(jiindex,jjindex)
-        WRITE(numout,*) ' smv_i: ', smv_i(jiindex, jjindex, 1:jpl)
+        WRITE(numout,*) ' a_i : ', a_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' v_i : ', v_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' v_s : ', v_s(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' at_i    ', at_i(jiindx,jjindx)
+        WRITE(numout,*) ' smv_i: ', smv_i(jiindx, jjindx, 1:jpl)
 !+++++ ]
 
@@ -873,9 +872,9 @@
 !+++++ [
         WRITE(numout,*) ' 2.13 '
-        WRITE(numout,*) ' a_i : ', a_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' at_i    ', at_i(jiindex,jjindex)
-        WRITE(numout,*) ' v_i : ', v_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' v_s : ', v_s(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' smv_i: ', smv_i(jiindex, jjindex, 1:jpl)
+        WRITE(numout,*) ' a_i : ', a_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' at_i    ', at_i(jiindx,jjindx)
+        WRITE(numout,*) ' v_i : ', v_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' v_s : ', v_s(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' smv_i: ', smv_i(jiindx, jjindx, 1:jpl)
 !+++++ ]
 
@@ -907,9 +906,9 @@
 !+++++ [
         WRITE(numout,*) ' rebinning before'
-        WRITE(numout,*) ' a_i : ', a_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' at_i    ', at_i(jiindex,jjindex)
-        WRITE(numout,*) ' v_i : ', v_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' v_s : ', v_s(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' smv_i: ', smv_i(jiindex, jjindex, 1:jpl)
+        WRITE(numout,*) ' a_i : ', a_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' at_i    ', at_i(jiindx,jjindx)
+        WRITE(numout,*) ' v_i : ', v_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' v_s : ', v_s(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' smv_i: ', smv_i(jiindx, jjindx, 1:jpl)
 !+++++ ]
 !old version
@@ -925,9 +924,9 @@
 !+++++ [
         WRITE(numout,*) ' rebinning final'
-        WRITE(numout,*) ' a_i : ', a_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' at_i    ', at_i(jiindex,jjindex)
-        WRITE(numout,*) ' v_i : ', v_i(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' v_s : ', v_s(jiindex, jjindex, 1:jpl)
-        WRITE(numout,*) ' smv_i: ', smv_i(jiindex, jjindex, 1:jpl)
+        WRITE(numout,*) ' a_i : ', a_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' at_i    ', at_i(jiindx,jjindx)
+        WRITE(numout,*) ' v_i : ', v_i(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' v_s : ', v_s(jiindx, jjindx, 1:jpl)
+        WRITE(numout,*) ' smv_i: ', smv_i(jiindx, jjindx, 1:jpl)
 !+++++ ]
 
@@ -1014,8 +1013,8 @@
      END DO !ji
 
-     WRITE(numout,*) ' TESTOSC1 ', tio_u(jiindex,jjindex), tio_v(jiindex,jjindex)
-     WRITE(numout,*) ' TESTOSC2 ', u_ice(jiindex,jjindex), v_ice(jiindex,jjindex)
-     WRITE(numout,*) ' TESTOSC3 ', u_oce(jiindex,jjindex), v_oce(jiindex,jjindex)
-     WRITE(numout,*) ' TESTOSC4 ', tauxw(jiindex,jjindex), tauxw(jiindex,jjindex)
+     WRITE(numout,*) ' TESTOSC1 ', tio_u(jiindx,jjindx), tio_v(jiindx,jjindx)
+     WRITE(numout,*) ' TESTOSC2 ', u_ice(jiindx,jjindx), v_ice(jiindx,jjindx)
+     WRITE(numout,*) ' TESTOSC3 ', u_oce(jiindx,jjindx), v_oce(jiindx,jjindx)
+     WRITE(numout,*) ' TESTOSC4 ', utau (jiindx,jjindx), vtau (jiindx,jjindx)
 
 
@@ -1087,5 +1086,5 @@
          CALL prt_ctl_info('   ~~~~~~~~~~~~~~~~~~ ')
          CALL prt_ctl(tab2d_1=fmmec  , clinfo1= ' lim_update : fmmec : ', tab2d_2=fhmec     , clinfo2= ' fhmec     : ')
-         CALL prt_ctl(tab2d_1=sst_io , clinfo1= ' lim_update : sst   : ', tab2d_2=sss_io    , clinfo2= ' sss       : ')
+         CALL prt_ctl(tab2d_1=sst_m  , clinfo1= ' lim_update : sst   : ', tab2d_2=sss_m     , clinfo2= ' sss       : ')
          CALL prt_ctl(tab2d_1=fhbri  , clinfo1= ' lim_update : fhbri : ', tab2d_2=fheat_rpo , clinfo2= ' fheat_rpo : ')
 
@@ -1093,9 +1092,7 @@
          CALL prt_ctl_info(' - Stresses : ')
          CALL prt_ctl_info('   ~~~~~~~~~~ ')
-         CALL prt_ctl(tab2d_1=tauxw , clinfo1= ' lim_update : tauxw : ', tab2d_2=tauyw , clinfo2= ' tauyw : ')
-         CALL prt_ctl(tab2d_1=taux  , clinfo1= ' lim_update : taux  : ', tab2d_2=tauy  , clinfo2= ' tauy  : ')
-         CALL prt_ctl(tab2d_1=ftaux , clinfo1= ' lim_update : ftaux : ', tab2d_2=ftauy , clinfo2= ' ftauy : ')
-         CALL prt_ctl(tab2d_1=gtaux , clinfo1= ' lim_update : gtaux : ', tab2d_2=gtauy , clinfo2= ' gtauy : ')
-         CALL prt_ctl(tab2d_1=u_io  , clinfo1= ' lim_update : u_io  : ', tab2d_2=v_io  , clinfo2= ' v_io  : ')
+         CALL prt_ctl(tab2d_1=utau       , clinfo1= ' lim_update : utau      : ', tab2d_2=vtau       , clinfo2= ' vtau      : ')
+         CALL prt_ctl(tab2d_1=utaui_ice  , clinfo1= ' lim_update : utaui_ice : ', tab2d_2=vtaui_ice  , clinfo2= ' vtaui_ice : ')
+         CALL prt_ctl(tab2d_1=u_oce      , clinfo1= ' lim_update : u_oce     : ', tab2d_2=v_oce      , clinfo2= ' v_oce     : ')
       ENDIF
 
Index: trunk/NEMO/LIM_SRC_3/limvar.F90
===================================================================
--- trunk/NEMO/LIM_SRC_3/limvar.F90	(revision 873)
+++ trunk/NEMO/LIM_SRC_3/limvar.F90	(revision 888)
@@ -1,4 +1,3 @@
 MODULE limvar
-#if defined key_lim3
    !!----------------------------------------------------------------------
    !!   'key_lim3'                                      LIM3 sea-ice model
@@ -33,5 +32,5 @@
    !!                        - ot_i(jpi,jpj)  !average ice age
    !!======================================================================
-
+#if defined key_lim3
    !!----------------------------------------------------------------------
    !! * Modules used
@@ -40,4 +39,5 @@
    USE phycst           ! physical constants (ocean directory) 
    USE ice_oce          ! ice variables
+   USE sbc_oce          ! Surface boundary condition: ocean fields
    USE thd_ice
    USE in_out_manager
@@ -428,5 +428,5 @@
            zind0         ,     & !: switch, = 1 if sm_i lt s_i_0
            zind01        ,     & !: switch, = 1 if sm_i between s_i_0 and s_i_1
-           zindbal       ,     & !: switch, = 1, if 2*sm_i gt sss_io
+           zindbal       ,     & !: switch, = 1, if 2*sm_i gt sss_m
            zargtemp              !: dummy factor
 
@@ -491,7 +491,7 @@
                   zind01 = ( 1.0 - zind0 ) *                                  &
                            MAX( 0.0   , SIGN( 1.0  , s_i_1 - sm_i(ji,jj,jl) ) ) 
-                  ! If 2.sm_i GE sss_io then zindbal = 1
+                  ! If 2.sm_i GE sss_m then zindbal = 1
                   zindbal = MAX( 0.0 , SIGN( 1.0 , 2. * sm_i(ji,jj,jl) -      &
-                  sss_io(ji,jj) ) )
+                  sss_m(ji,jj) ) )
                   zalpha(ji,jj,jl) = zind0  * 1.0                             &
                                    + zind01 * ( sm_i(ji,jj,jl) * dummy_fac0 + &
@@ -692,7 +692,7 @@
                zind01 = ( 1.0 - zind0 ) *                                  &
                         MAX( 0.0   , SIGN( 1.0  , s_i_1 - sm_i_b(ji) ) ) 
-               ! if 2.sm_i GE sss_io then zindbal = 1
+               ! if 2.sm_i GE sss_m then zindbal = 1
                zindbal = MAX( 0.0 , SIGN( 1.0 , 2. * sm_i_b(ji) -      &
-               sss_io(zji,zjj) ) )
+               sss_m(zji,zjj) ) )
 
                zalpha = zind0  * 1.0                                       &
Index: trunk/NEMO/LIM_SRC_3/limwri.F90
===================================================================
--- trunk/NEMO/LIM_SRC_3/limwri.F90	(revision 873)
+++ trunk/NEMO/LIM_SRC_3/limwri.F90	(revision 888)
@@ -1,4 +1,3 @@
 MODULE limwri
-#if defined key_lim3
    !!----------------------------------------------------------------------
    !!   'key_lim3'                                      LIM3 sea-ice model
@@ -8,7 +7,8 @@
    !!         Ice diagnostics :  write ice output files
    !!======================================================================
+#if defined key_lim3
    !!----------------------------------------------------------------------
    !!  LIM 2.0, UCL-LOCEAN-IPSL (2005)
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/LIM_SRC/limwri.F90,v 1.4 2005/03/27 18:34:42 opalod Exp $
+   !! $ Id: $
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
    !!----------------------------------------------------------------------
@@ -18,5 +18,5 @@
    !! * Modules used
    USE ioipsl
-   USE dianam    ! build name of file (routine)
+   USE dianam          ! build name of file (routine)
    USE phycst
    USE dom_oce
@@ -24,5 +24,6 @@
    USE in_out_manager
    USE ice_oce         ! ice variables
-   USE flx_oce
+   USE sbc_oce         ! Surface boundary condition: ocean fields
+   USE sbc_ice         ! Surface boundary condition: ice fields
    USE dom_ice
    USE ice
@@ -137,5 +138,5 @@
          zsto     = rdt_ice
          clop     = "ave(x)"
-         zout     = nwrite * rdt_ice / nfice
+         zout     = nwrite * rdt_ice / nn_fsbc
          zsec     = 0.
          niter    = 0
@@ -165,5 +166,5 @@
          zsto     = rdt_ice
          clop     = "ave(x)"
-         zout     = nwrite * rdt_ice / nfice
+         zout     = nwrite * rdt_ice / nn_fsbc
          zsec     = 0.
          nitera   = 0
@@ -221,5 +222,5 @@
                zinda  = MAX( zzero , SIGN( zone , at_i(ji,jj) - 0.10 ) )
                zcmo(ji,jj,17) = zcmo(ji,jj,17) + a_i(ji,jj,jl)*qsr_ice (ji,jj,jl) 
-               zcmo(ji,jj,18) = zcmo(ji,jj,18) + a_i(ji,jj,jl)*qnsr_ice(ji,jj,jl) 
+               zcmo(ji,jj,18) = zcmo(ji,jj,18) + a_i(ji,jj,jl)*qns_ice(ji,jj,jl) 
                zcmo(ji,jj,27) = zcmo(ji,jj,27) + t_su(ji,jj,jl)*a_i(ji,jj,jl)/MAX(at_i(ji,jj),epsi16)*zinda
             END DO
@@ -253,17 +254,17 @@
      &                     / 2.0 
             zcmo(ji,jj,8)  = zindb * (  v_ice(ji,jj  ) * tmv(ji,jj)        &
-     &                              + v_ice(ji,jj-1) * tmv(ji,jj-1) )      &
+     &                                + v_ice(ji,jj-1) * tmv(ji,jj-1) )    &
      &                     / 2.0
-            zcmo(ji,jj,9)  = sst_io(ji,jj)
-            zcmo(ji,jj,10) = sss_io(ji,jj)
-
-            zcmo(ji,jj,11) = fnsolar(ji,jj) + fsolar(ji,jj)
-            zcmo(ji,jj,12) = fsolar (ji,jj)
-            zcmo(ji,jj,13) = fnsolar(ji,jj)
+            zcmo(ji,jj,9)  = sst_m(ji,jj)
+            zcmo(ji,jj,10) = sss_m(ji,jj)
+
+            zcmo(ji,jj,11) = qns(ji,jj) + qsr(ji,jj)
+            zcmo(ji,jj,12) = qsr(ji,jj)
+            zcmo(ji,jj,13) = qns(ji,jj)
             zcmo(ji,jj,14) = fhbri(ji,jj)
-            zcmo(ji,jj,15) = gtaux(ji,jj)
-            zcmo(ji,jj,16) = gtauy(ji,jj)
-            zcmo(ji,jj,17) = zcmo(ji,jj,17) + (1.0-at_i(ji,jj))*qsr_oce(ji,jj)
-            zcmo(ji,jj,18) = zcmo(ji,jj,18) + (1.0-at_i(ji,jj))*qnsr_oce (ji,jj)
+            zcmo(ji,jj,15) = utaui_ice(ji,jj)
+            zcmo(ji,jj,16) = vtaui_ice(ji,jj)
+            zcmo(ji,jj,17) = zcmo(ji,jj,17) + (1.0-at_i(ji,jj))*qsr(ji,jj)
+            zcmo(ji,jj,18) = zcmo(ji,jj,18) + (1.0-at_i(ji,jj))*qns(ji,jj)
             zcmo(ji,jj,19) = sprecip(ji,jj)
             zcmo(ji,jj,20) = smt_i(ji,jj)
@@ -299,6 +300,5 @@
          END DO
          
-         IF ( jf == 7  .OR. jf == 8  .OR. jf == 11 .OR. jf == 12 .OR. jf == 15 .OR.   &
-            jf == 16 ) THEN 
+         IF ( jf == 7  .OR. jf == 8  .OR. jf == 15 .OR. jf == 16 ) THEN 
             CALL lbc_lnk( zfield, 'T', -1. )
          ELSE 
@@ -315,5 +315,5 @@
       END DO
 
-      IF ( ( nfice * niter + nit000 - 1 ) >= nitend .OR. kindic < 0 ) THEN
+      IF ( ( nn_fsbc * niter + nit000 - 1 ) >= nitend .OR. kindic < 0 ) THEN
           WRITE(numout,*) ' Closing the icemod file '
           CALL histclo( nice )
@@ -374,5 +374,5 @@
 !     not yet implemented
       
-      IF ( ( nfice * niter + nit000 - 1 ) >= nitend .OR. kindic < 0 ) THEN
+      IF ( ( nn_fsbc * niter + nit000 - 1 ) >= nitend .OR. kindic < 0 ) THEN
          WRITE(numout,*) ' Closing the icemod file '
          CALL histclo( nicea ) 
Index: trunk/NEMO/LIM_SRC_3/limwri_dimg.h90
===================================================================
--- trunk/NEMO/LIM_SRC_3/limwri_dimg.h90	(revision 873)
+++ trunk/NEMO/LIM_SRC_3/limwri_dimg.h90	(revision 888)
@@ -2,5 +2,5 @@
    !!----------------------------------------------------------------------
    !!  LIM 2.0, UCL-LOCEAN-IPSL (2005)
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/LIM_SRC/limwri_dimg.h90,v 1.2 2005/03/27 18:34:42 opalod Exp $
+   !! $ Id: $
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
    !!----------------------------------------------------------------------
@@ -80,5 +80,5 @@
 
        zsto     = rdt_ice
-       zout     = nwrite * rdt_ice / nfice
+       zout     = nwrite * rdt_ice / nn_fsbc
        zsec     = 0.
        niter    = 0
@@ -111,16 +111,16 @@
                + v_ice(ji,jj+1) * tmu(ji,jj+1) + v_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
                / ztmu
-          zcmo(ji,jj,9)  = sst_io(ji,jj)
-          zcmo(ji,jj,10) = sss_io(ji,jj)
-
-          zcmo(ji,jj,11) = fnsolar(ji,jj) + fsolar(ji,jj)
-          zcmo(ji,jj,12) = fsolar (ji,jj)
-          zcmo(ji,jj,13) = fnsolar(ji,jj)
+          zcmo(ji,jj,9)  = sst_m(ji,jj)
+          zcmo(ji,jj,10) = sss_m(ji,jj)
+
+          zcmo(ji,jj,11) = qns(ji,jj) + qsr(ji,jj)
+          zcmo(ji,jj,12) = qsr(ji,jj)
+          zcmo(ji,jj,13) = qns(ji,jj)
           ! See thersf for the coefficient
-          zcmo(ji,jj,14) = - fsalt(ji,jj) * rday * ( sss_io(ji,jj) + epsi16 ) / soce
-          zcmo(ji,jj,15) = gtaux(ji,jj)
-          zcmo(ji,jj,16) = gtauy(ji,jj)
-          zcmo(ji,jj,17) = ( 1.0 - frld(ji,jj) ) * qsr_ice (ji,jj) + frld(ji,jj) * qsr_oce (ji,jj)
-          zcmo(ji,jj,18) = ( 1.0 - frld(ji,jj) ) * qnsr_ice(ji,jj) + frld(ji,jj) * qnsr_oce(ji,jj)
+          zcmo(ji,jj,14) = - emps(ji,jj) * rday * ( sss_m(ji,jj) + epsi16 ) / soce
+          zcmo(ji,jj,15) = utaui_ice(ji,jj)
+          zcmo(ji,jj,16) = vtaui_ice(ji,jj)
+          zcmo(ji,jj,17) = qsr (ji,jj)
+          zcmo(ji,jj,18) = qns(ji,jj)
           zcmo(ji,jj,19) = sprecip(ji,jj)
        END DO
@@ -154,16 +154,16 @@
                      + v_ice(ji,jj+1) * tmu(ji,jj+1) + v_ice(ji+1,jj+1) * tmu(ji+1,jj+1) ) &
                      / ztmu
-                rcmoy(ji,jj,9)  = sst_io(ji,jj)
-                rcmoy(ji,jj,10) = sss_io(ji,jj)
-
-                rcmoy(ji,jj,11) = fnsolar(ji,jj) + fsolar(ji,jj)
-                rcmoy(ji,jj,12) = fsolar (ji,jj)
-                rcmoy(ji,jj,13) = fnsolar(ji,jj)
+                rcmoy(ji,jj,9)  = sst_m(ji,jj)
+                rcmoy(ji,jj,10) = sss_m(ji,jj)
+
+                rcmoy(ji,jj,11) = qns(ji,jj) + qsr(ji,jj)
+                rcmoy(ji,jj,12) = qsr(ji,jj)
+                rcmoy(ji,jj,13) = qns(ji,jj)
                 ! See thersf for the coefficient
-                rcmoy(ji,jj,14) = - fsalt(ji,jj) * rday * ( sss_io(ji,jj) + epsi16 ) / soce
-                rcmoy(ji,jj,15) = gtaux(ji,jj)
-                rcmoy(ji,jj,16) = gtauy(ji,jj)
-                rcmoy(ji,jj,17) = ( 1.0 - frld(ji,jj) ) * qsr_ice (ji,jj) + frld(ji,jj) * qsr_oce (ji,jj)
-                rcmoy(ji,jj,18) = ( 1.0 - frld(ji,jj) ) * qnsr_ice(ji,jj) + frld(ji,jj) * qnsr_oce(ji,jj)
+                rcmoy(ji,jj,14) = - emps(ji,jj) * rday * ( sss_m(ji,jj) + epsi16 ) / soce
+                rcmoy(ji,jj,15) = utaui_ice(ji,jj)
+                rcmoy(ji,jj,16) = vtaui_ice(ji,jj)
+                rcmoy(ji,jj,17) = qsr(ji,jj)
+                rcmoy(ji,jj,18) = qns(ji,jj)
                 rcmoy(ji,jj,19) = sprecip(ji,jj)
              END DO
@@ -176,6 +176,5 @@
              zfield(:,:) = (rcmoy(:,:,jf) * cmulti(jf) + cadd(jf)) * tmask(:,:,1)
 
-             IF ( jf == 7  .OR. jf == 8  .OR. jf == 11 .OR. jf == 12 .OR. jf == 15 .OR.   &
-                  jf == 23 .OR. jf == 24 .OR. jf == 16 ) THEN 
+             IF ( jf == 7  .OR. jf == 8  .OR. jf == 15 .OR. jf == 16 ) THEN 
                 CALL lbc_lnk( zfield, 'T', -1. )
              ELSE 
Index: trunk/NEMO/LIM_SRC_3/par_ice.F90
===================================================================
--- trunk/NEMO/LIM_SRC_3/par_ice.F90	(revision 873)
+++ trunk/NEMO/LIM_SRC_3/par_ice.F90	(revision 888)
@@ -6,6 +6,6 @@
    !!----------------------------------------------------------------------
    !!  LIM 2.0, UCL-LOCEAN-IPSL (2005)
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/LIM_SRC/par_ice.F90,v 1.4 2005/03/27 18:34:42 opalod Exp $
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
+   !! $ Id: $
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
    !! * Modules used
Index: trunk/NEMO/LIM_SRC_3/thd_ice.F90
===================================================================
--- trunk/NEMO/LIM_SRC_3/thd_ice.F90	(revision 873)
+++ trunk/NEMO/LIM_SRC_3/thd_ice.F90	(revision 888)
@@ -8,6 +8,6 @@
    !!----------------------------------------------------------------------
    !!   LIM 2.0, UCL-LOCEAN-IPSL (2005)
-   !! $Header: /home/opalod/NEMOCVSROOT/NEMO/LIM_SRC/thd_ice.F90,v 1.4 2005/03/27 18:34:42 opalod Exp $
-   !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt
+   !! $ Id: $
+   !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
    !! * Modules used
